Bug 8718 - tevent: make after configure tevent with --disable-python fails
tevent: make after configure tevent with --disable-python fails
Status: RESOLVED FIXED
Product: TALLOC
Classification: Unclassified
Component: libtalloc
unspecified
All Linux
: P5 minor
: ---
Assigned To: Simo Sorce
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-24 20:05 UTC by Arne Ahrend
Modified: 2013-04-16 05:59 UTC (History)
1 user (show)

See Also:


Attachments
fix --disable-python cause configure fails (514 bytes, patch)
2012-12-28 08:21 UTC, Galen.Liu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arne Ahrend 2012-01-24 20:05:40 UTC
This bug report is for the tevent package


Tried on tevent 0.9.10, 0.9.13, 0.9.14

Running make after configuring with --disable-python on Fedora 16 (no python3 packages installed, just python2.7) fails with the following error:

WAF_MAKE=1 PATH=buildtools/bin:../../buildtools/bin:$PATH waf build
Waf: Entering directory `/home/ahrend/software/tevent-0.9.10/bin'
Traceback (most recent call last):
  File "buildtools/bin/waf", line 158, in <module>
    Scripting.prepare(t, cwd, VERSION, wafdir)
  File "/home/ahrend/software/tevent-0.9.10/buildtools/bin/.waf-1.5.19-64e3c2006c565edf6967cdbf2812184e/wafadmin/Scripting.py", line 105, in prepare
    prepare_impl(t,cwd,ver,wafdir)
  File "/home/ahrend/software/tevent-0.9.10/buildtools/bin/.waf-1.5.19-64e3c2006c565edf6967cdbf2812184e/wafadmin/Scripting.py", line 98, in prepare_impl
    main()
  File "/home/ahrend/software/tevent-0.9.10/buildtools/bin/.waf-1.5.19-64e3c2006c565edf6967cdbf2812184e/wafadmin/Scripting.py", line 133, in main
    fun(ctx)
  File "/home/ahrend/software/tevent-0.9.10/buildtools/bin/.waf-1.5.19-64e3c2006c565edf6967cdbf2812184e/wafadmin/Scripting.py", line 278, in build
    return build_impl(bld)
  File "/home/ahrend/software/tevent-0.9.10/buildtools/bin/.waf-1.5.19-64e3c2006c565edf6967cdbf2812184e/wafadmin/Scripting.py", line 287, in build_impl
    bld.add_subdirs([os.path.split(Utils.g_module.root_path)[0]])
  File "/home/ahrend/software/tevent-0.9.10/buildtools/bin/.waf-1.5.19-64e3c2006c565edf6967cdbf2812184e/wafadmin/Build.py", line 646, in add_subdirs
    self.recurse(dirs,'build')
  File "/home/ahrend/software/tevent-0.9.10/buildtools/bin/.waf-1.5.19-64e3c2006c565edf6967cdbf2812184e/wafadmin/Utils.py", line 461, in recurse
    f(self)
  File "/home/ahrend/software/tevent-0.9.10/wscript", line 91, in build
    realname='_tevent.so')
  File "./buildtools/wafsamba/samba_python.py", line 67, in SAMBA_PYTHON
    enabled=enabled)
  File "./buildtools/wafsamba/wafsamba.py", line 180, in SAMBA_LIBRARY
    realname = bld.map_shlib_extension(realname, python=(target_type=='PYTHON'))
  File "./buildtools/wafsamba/samba_utils.py", line 557, in map_shlib_extension
    (root2, ext2) = os.path.splitext(ctx.env.pyext_PATTERN)
  File "/usr/lib64/python2.7/posixpath.py", line 96, in splitext
    return genericpath._splitext(p, sep, altsep, extsep)
  File "/usr/lib64/python2.7/genericpath.py", line 91, in _splitext
    sepIndex = p.rfind(sep)
AttributeError: 'list' object has no attribute 'rfind'
make: *** [all] Error 1
Comment 1 Galen.Liu 2012-12-28 08:21:23 UTC
Created attachment 8372 [details]
fix --disable-python cause configure fails

When we disable python, it will cause build fail!
so, the patch will fix it.

[galen@localhost tevent-0.9.17]$ ./configure --disable-python

[galen@localhost tevent-0.9.17]$ make

WAF_MAKE=1 PATH=buildtools/bin:../../buildtools/bin:$PATH waf build
Waf: Entering directory `/home/galen/develop/tevent-0.9.17/bin'
Traceback (most recent call last):
  File "buildtools/bin/waf", line 76, in <module>
    Scripting.prepare(t, cwd, VERSION, wafdir)
  File "/home/galen/develop/tevent-0.9.17/buildtools/wafadmin/Scripting.py", line 145, in prepare
    prepare_impl(t, cwd, ver, wafdir)
  File "/home/galen/develop/tevent-0.9.17/buildtools/wafadmin/Scripting.py", line 135, in prepare_impl
    main()
  File "/home/galen/develop/tevent-0.9.17/buildtools/wafadmin/Scripting.py", line 188, in main
    fun(ctx)
  File "/home/galen/develop/tevent-0.9.17/buildtools/wafadmin/Scripting.py", line 386, in build
    return build_impl(bld)
  File "/home/galen/develop/tevent-0.9.17/buildtools/wafadmin/Scripting.py", line 399, in build_impl
    bld.add_subdirs([os.path.split(Utils.g_module.root_path)[0]])
  File "/home/galen/develop/tevent-0.9.17/buildtools/wafadmin/Build.py", line 993, in add_subdirs
    self.recurse(dirs, 'build')
  File "/home/galen/develop/tevent-0.9.17/buildtools/wafadmin/Utils.py", line 634, in recurse
    f(self)
  File "/home/galen/develop/tevent-0.9.17/wscript", line 100, in build
    cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)
  File "./buildtools/wafsamba/samba_python.py", line 56, in SAMBA_PYTHON
    enabled=enabled)
  File "./buildtools/wafsamba/wafsamba.py", line 194, in SAMBA_LIBRARY
    realname = bld.map_shlib_extension(realname, python=(target_type=='PYTHON'))
  File "./buildtools/wafsamba/samba_utils.py", line 572, in map_shlib_extension
    (root2, ext2) = os.path.splitext(ctx.env.pyext_PATTERN)
  File "/usr/lib/python2.7/posixpath.py", line 96, in splitext
    return genericpath._splitext(p, sep, altsep, extsep)
  File "/usr/lib/python2.7/genericpath.py", line 91, in _splitext
    sepIndex = p.rfind(sep)
AttributeError: 'list' object has no attribute 'rfind'
make: *** [all] Error 1
Comment 2 Galen.Liu 2012-12-28 08:23:19 UTC
--- tevent-0.9.17.orig/wscript  2012-08-17 22:39:01.000000000 +0800
+++ tevent-0.9.17/wscript       2012-12-28 16:07:18.598238649 +0800
@@ -92,7 +92,7 @@
                           pc_files='tevent.pc',
                           private_library=private_library)

-    if not bld.CONFIG_SET('USING_SYSTEM_PYTEVENT'):
+    if not bld.CONFIG_SET('USING_SYSTEM_PYTEVENT') and not bld.env.disable_python:
         bld.SAMBA_PYTHON('pytevent',
                          'pytevent.c',
                          deps='tevent',
Comment 3 Stefan Metzmacher 2013-04-16 05:59:43 UTC
This was fixed in tevent-0.9.18 and samba-4.0.5